×
INDI Library v1.8.5 Released (19 Apr 2020)

April 2020 release of INDI Library v1.8.5 introduces new drivers while providing fixes and improvements to existing devices and core framework.

KStars not starting up after indi update!

3 years 5 months ago
lubel
Fresh Boarder
Fresh Boarder
Posts: 14
More
Topic Author
KStars not starting up after indi update! #14895
Hmm.. I did the following sequence:
- Uninstalled KStars, PHD2 and all Indi Drivers and Library
- Downloaded indi Sources from this website (Ver. 1.3.1)
- cd ed into libindi directory
- used the commands in the README to cmake libindi
- installed PHD2 and KStars bleeding from the repositories (via apt install)
--> both work now

but I am surely not an expert and moreover I cannot find any libindi.so.1 on my system anymore

Please Log in or Create an account to join the conversation.

3 years 5 months ago
lubel
Fresh Boarder
Fresh Boarder
Posts: 14
More
Topic Author
KStars not starting up after indi update! #14896
sorry! I have to correct myself:

I found the file in the usr/lib/x86_64-linux-gnu AND in the ZIP from the Sources link here on the website.

I post here also the file if it helps: please remove the txt.
Attachments:
The following user(s) said Thank You patdut

Please Log in or Create an account to join the conversation.

3 years 5 months ago
patdut
Platinum Boarder
Platinum Boarder
Posts: 356
Karma: 1
More
KStars not starting up after indi update! #14897
Well, looks weird, we have lost interoperability between indi and several clients with the 1.4.0. I have tested phd2 which crash at start. So is the idea is to get back to the previous version ?
Is it normal ?

Please Log in or Create an account to join the conversation.

3 years 5 months ago 3 years 5 months ago by lubel.
lubel
Fresh Boarder
Fresh Boarder
Posts: 14
More
Topic Author
KStars not starting up after indi update! #14898
confused. When I check the version on indiserver I get the version for the indilibrary as 1.4.1. Not sure what is going on...?!
Attachments:

Please Log in or Create an account to join the conversation.

3 years 5 months ago
H__
Senior Boarder
Senior Boarder
Posts: 50
More
KStars not starting up after indi update! #14901
PHD2 now recognizes INDI versions from 0.9 to 1.4.1 and up. Tested on Ubuntu 14.04 with stock INDI and 16.04 with 1.4.1 INDI.
-- Hans

Please Log in or Create an account to join the conversation.

3 years 5 months ago
patdut
Platinum Boarder
Platinum Boarder
Posts: 356
Karma: 1
More
KStars not starting up after indi update! #14908
I made a "git pull" of INDI this morning (no update), compiled and installed. indiserver -version gives 1.4.1 as version number.

Tested PHD2 that failed:

phd2: error while loading shared libraries: libindi.so.1: cannot open shared object file: No such file or directory

I am on Ubuntu-mate 16.04.1LTS.

Please Log in or Create an account to join the conversation.

3 years 5 months ago
rockstarbill
Expert Boarder
Expert Boarder
Posts: 158
More
KStars not starting up after indi update! #14909
I get the same error. Looks like the most recent package build failed

Please Log in or Create an account to join the conversation.

3 years 5 months ago
knro
Administrator
Administrator
Posts: 8208
Karma: 51
KStars not starting up after indi update! #14910
Please "git pull" PHD2 and rebuild. They just added support for INDI 1.4 yesterday.

Jasem Mutlaq
Support INDI & Ekos; Get StellarMate Astrophotography Gadget.
How to Submit Logs when you have problems?
Add your observatory info
The following user(s) said Thank You patdut

Please Log in or Create an account to join the conversation.

3 years 5 months ago 3 years 5 months ago by patdut.
patdut
Platinum Boarder
Platinum Boarder
Posts: 356
Karma: 1
More
KStars not starting up after indi update! #14911
I guess this will be the same for all INDI clients.
Oups I made "make install" and phd2 is installed in /usr/bin instead of /usr/local/bin/phd2.

Please Log in or Create an account to join the conversation.

3 years 3 months ago
emk
Junior Boarder
Junior Boarder
Posts: 35
More
KStars not starting up after indi update! #16626
Hi,

has this problem been solved for all clients? I'm writing a little client and am getting problems with the linkage of the client libraries. It did actually work a few weeks ago, but since I upgraded to 1.4 the FindINDI.cmake file gives an error.
CMake Error at CMakeLists.txt:19 (find_package):
  find_package called with invalid argument "CLIENT"
for
find_package(INDI CLIENT REQUIRED)
in cmake.

Using the old FindINDI.cmake gives unsolved references to the INDI::BaseClient class methods.
Package: indi-full
Versions: 
1.4~201705080649~ubuntu16.04.1 (/var/lib/apt/lists/ppa.launchpad.net_mutlaqja_ppa_ubuntu_dists_xenial_main_binary-amd64_Packages)
 Description Language: 
                 File: /var/lib/apt/lists/ppa.launchpad.net_mutlaqja_ppa_ubuntu_dists_xenial_main_binary-amd64_Packages
                  MD5: 39f6de7ad7ceebdae133f1978240e974
 Description Language: 
                 File: /var/lib/apt/lists/ppa.launchpad.net_mutlaqja_ppa_ubuntu_dists_xenial_main_binary-i386_Packages
                  MD5: 39f6de7ad7ceebdae133f1978240e974
 Description Language: en
                 File: /var/lib/apt/lists/ppa.launchpad.net_mutlaqja_ppa_ubuntu_dists_xenial_main_i18n_Translation-en
                  MD5: 39f6de7ad7ceebdae133f1978240e974


Reverse Depends: 
  indi-full:i386,indi-full
Dependencies: 
1.4~201705080649~ubuntu16.04.1 - libindi1 (2 1.2) libindi-dev (2 1.2) libindi-data (2 1.2) indi-bin (2 1.2) indi-eqmod (0 (null)) indi-sx (0 (null)) indi-sbig (0 (null)) indi-apogee (0 (null)) indi-gphoto (0 (null)) indi-qsi (0 (null)) indi-fishcamp (0 (null)) indi-maxdomeii (0 (null)) indi-asi (0 (null)) indi-aagcloudwatcher (0 (null)) indi-ffmv (0 (null)) indi-dsi (0 (null)) indi-qhy (0 (null)) indi-gpsd (0 (null)) indi-mi (0 (null)) indi-duino (0 (null)) indi-fli (0 (null)) indi-nexstarevo (0 (null)) indi-full:i386 (32 (null)) 
Provides: 
1.4~201705080649~ubuntu16.04.1 - 
Reverse Provides:
Distributor ID: Ubuntu
Description:    Ubuntu 16.04.2 LTS
Release:        16.04
Codename:       xenial

Please Log in or Create an account to join the conversation.

3 years 3 months ago
emk
Junior Boarder
Junior Boarder
Posts: 35
More
KStars not starting up after indi update! #16685
Solved.
# To use INDI Qt5 Client library only in your application:
#
# find_package(INDI CLIENTQT5 REQUIRED)
#
#   if(INDI_FOUND)
#      include_directories(${INDI_INCLUDE_DIR})
#      add_executable(myapp myapp.cpp)
#      target_link_libraries(myapp ${INDI_CLIENTQT5_LIBRARIES})
#   endif(INDI_FOUND)
Seems not to work.
find_package(INDI REQUIRED client)
..worked for me, though I still had to link to libnova.

Please Log in or Create an account to join the conversation.

3 years 4 weeks ago 3 years 4 weeks ago by dolguldur.
dolguldur
Senior Boarder
Senior Boarder
Posts: 79
More
KStars not starting up after indi update! #17787
Recently came across the same problem, I always use the github repo for indi library.
I had to update kstars-bleeding with sudo apt-get install kstars-bleeding
Unfortunately, after that, I got the following error:
Unable to open city database file "/usr/share/kstars/citydb.sqlite" "Driver not loaded Driver not loaded"

Any idea of why I am now getting this error ?

Thank you in advance

Edit: solved the above problem with sudo apt-get install libqt5sql5-sqlite

Please Log in or Create an account to join the conversation.

Time to create page: 0.357 seconds